<template>
  <el-container>
    <sidebar></sidebar>
    <el-container>
      <section class="main">
        <slot></slot>
      </section>
      <notification></notification>
    </el-container>
  </el-container>
</template>

<script>
import Vue from 'vue';
import Component from 'vue-class-component';
import Notification from '@/components/common/Notification';
import Sidebar from './components/Sidebar';

export default {
  components: {
    Sidebar,
    Notification,
  },
};
</script>

<style lang="stylus" scoped>
.header
  background $color-primary
  padding 0
.main
  width 100%
  height 100%
  padding 20px
</style>
</script>